/*
 * Edge.h
 *
 *  Created on: Jul 22, 2014
 *      Author: s10z
 */
#include "Vertex.h"

#ifndef EDGE_H_
#define EDGE_H_

class Edge {
public:
	Edge(Vertex &, Vertex &);
	Vertex getSource() const;
	Vertex getDestination() const;
	bool operator <(const Edge&) const;
	bool operator ==(const Edge&) const;
	bool operator !=(const Edge&) const;
private:
	Vertex source;
	Vertex destination;
};

#endif /* EDGE_H_ */
