#ifndef PARALLELGENETICALGORITHM_H_
#define PARALLELGENETICALGORITHM_H_

#include "GeneticAlgorithm.h"

class ParallelGeneticAlgorithm : public GeneticAlgorithm {
public:
	ParallelGeneticAlgorithm(int populationSize, int mazeSize,
			int iterationCount, int maxParentsPerIteration, int maxMutationsPerIteration,
			int chanceOfMutation);
	int main();
	const static int RANK_MASTER = 0;
protected:
	std::set<CandidateSolution> createInitialPopulation(int populationSize, int mazeSize);
};

#endif /* PARALLELGENETICALGORITHM_H_ */
