/*
 * Vertex.cpp
 *
 *  Created on: Jul 22, 2014
 *      Author: s10z
 */

#include "Vertex.h"

Vertex::Vertex() {
	this->id = ID_UNSET;
}

Vertex::Vertex(const int id) {
	this->id = id;
}

int Vertex::getId() const {
	return this->id;
}

bool Vertex::operator < ( const Vertex &other ) const {
	return ( getId() < other.getId() );
}

bool Vertex::operator == (const Vertex &other) const {
	return getId() == other.getId();
}

bool Vertex::operator != (const Vertex &other) const {
	return !(*this == other);
}
