#include "../ga/CandidateSolution.h"
#include "../ga/Maze.h"
#include "../ga/MutationResolver.h"
#include "gtest/gtest.h"

TEST(MutationResolver, singleMutation) {
	Maze m = Maze(1, 1);
	MutationResolver::mutate(m, 1);
	// "Mutation fail: Expect field to flip"
	EXPECT_EQ(1, m.getFieldValue(0));
}

TEST(MutationResolver, multipleMutation) {
	Maze m = Maze(2, 2);
	MutationResolver::mutate(m, 4);
	// "Mutation fail: Expect field to flip"
	EXPECT_EQ(1, m.getFieldValue(0));
	EXPECT_EQ(1, m.getFieldValue(1));
	EXPECT_EQ(1, m.getFieldValue(2));
	EXPECT_EQ(1, m.getFieldValue(3));
}
