#include "../ga/Vertex.h"
#include "gtest/gtest.h"

TEST(OrderOfVertices, notSmallerBySameId) {
	Vertex u = Vertex(1);
	Vertex v = Vertex(1);

	// "A vertex is expected to be larger than others with the same id"
	EXPECT_FALSE(u < v);
    EXPECT_FALSE(u < v);
}

TEST(OrderOfVertices, smallerById) {
	Vertex u = Vertex(1);
	Vertex v = Vertex(1);
	Vertex w = Vertex(2);

	// "The vertex with a smaller id is expected to be smaller"
	EXPECT_LT(u, w);
	EXPECT_LT(v, w);
	EXPECT_FALSE(w < u);
	EXPECT_FALSE(w < v);
}
