#ifndef PARALLELMAZE_H_
#define PARALLELMAZE_H_

#include "Maze.h"

class ParallelMaze: public Maze {
private:
	int originalHeight;
public:
	ParallelMaze();
	ParallelMaze(unsigned int width, unsigned int height);
	ParallelMaze createRandom(unsigned int width, unsigned int height);
	int getOriginalHeight();
	void print() const;
	static ParallelMaze parallize(Maze maze);
	static Maze gather(ParallelMaze maze);
};

#endif /* PARALLELMAZE_H_ */
