#ifndef SELECTIONRESOLVER_H_
#define SELECTIONRESOLVER_H_

#include <set>
#include "CandidateSolution.h"

class SelectionResolver {
public:
	SelectionResolver();
	virtual ~SelectionResolver();
	/**
	 * Manipulates the given population: Removes the most weakest candidates
	 * until the population size matches the given remainingSize.
	 * For now its undefined how to behave in case of multiple candidates with the
	 * same fitness where one of them has to die.
	 * TODO: specify behavior
	 */
	static void elitism(std::set<CandidateSolution>& population, unsigned int remainingSize);
};

#endif /* SELECTIONRESOLVER_H_ */
