function Candidate(id, birth, fitness, maze) {
    var that = {},
        death = null,
        parents = [],
        children = [];
    
    function mazeStrToArray(mazeStr) {
        var maze = [];
        for (var i = 0; i < mazeStr.length; i += 1) {
            maze.push(mazeStr.charAt(i));
        }
        return maze;
    }
    
    function getId() {
        return id;
    }
    
    function getBirth() {
        return birth;
    }
    
    function getFitness() {
        return fitness;
    }
    
    function getMaze() {
        return maze;
    }
    
    function setDeath(deathIteration) {
        death = deathIteration;
    }

    function getDeath() {
        return death;
    }
    
    function addChild(candidate) {
        children.push(candidate);
    }
    
    function getChildren() {
        return children;
    }
    
    function addParent(candidate) {
        parents.push(candidate);
    }
    
    function getParents() {
        return parents;
    }
    
    if (typeof maze === "string") {
        maze = mazeStrToArray(maze);
    }
    
    that.getId = getId;
    that.getBirth = getBirth;
    that.getFitness = getFitness;
    that.getMaze = getMaze;
    that.setDeath = setDeath;
    that.getDeath = getDeath;
    that.addChild = addChild;
    that.getChildren = getChildren;
    that.addParent = addParent;
    that.getParents = getParents;
    return that;
}